gzip: add recipe for version 1.10.

This commit is contained in:
Jerome Duval
2019-03-22 19:34:17 +01:00
parent ac2d2c4e8b
commit aba51f52d1
5 changed files with 134 additions and 147 deletions

View File

@@ -7,9 +7,9 @@ HOMEPAGE="https://www.gnu.org/software/gzip/"
COPYRIGHT="1992-1993 Jean-loup Gailly
1999-2016 Free Software Foundation, Inc."
LICENSE="GNU GPL v3"
REVISION="2"
REVISION="1"
SOURCE_URI="http://ftpmirror.gnu.org/gzip/gzip-$portVersion.tar.xz"
CHECKSUM_SHA256="ff1767ec444f71e5daf8972f6f8bf68cfcca1d2f76c248eb18e8741fc91dbbd3"
CHECKSUM_SHA256="8425ccac99872d544d4310305f915f5ea81e04d0f437ef1a230dc9d1c819d7c0"
PATCHES="gzip-$portVersion.patchset"
ARCHITECTURES="x86_gcc2 x86 x86_64 arm ppc"
@@ -39,21 +39,23 @@ BUILD_REQUIRES="
haiku_devel
"
BUILD_PREREQUIRES="
cmd:aclocal
cmd:autoconf
cmd:automake
cmd:awk
cmd:gcc
cmd:less
cmd:libtoolize
cmd:make
cmd:sed
"
TEST_REQUIRES="
cmd:diff
cmd:grep
cmd:less
cmd:more
"
BUILD()
{
export CFLAGS="-Wno-error"
autoreconf -fi
runConfigure ./configure
AUTOCONF=: AUTOMAKE=: CFLAGS="-Wno-error" \
runConfigure ./configure
make $jobArgs
}

View File

@@ -1,64 +0,0 @@
SUMMARY="The gzip compression utilities"
DESCRIPTION="gzip (GNU zip) is a compression utility designed to be a \
replacement for compress. Its main advantages over compress are much \
better compression and freedom from patented algorithms. It has been \
adopted by the GNU project and is now relatively popular on the Internet."
HOMEPAGE="https://www.gnu.org/software/gzip/"
COPYRIGHT="1992-1993 Jean-loup Gailly
1999-2016 Free Software Foundation, Inc."
LICENSE="GNU GPL v3"
REVISION="1"
SOURCE_URI="https://ftp.gnu.org/gnu/gzip/gzip-$portVersion.tar.xz"
CHECKSUM_SHA256="fb31c57e7ce7703596ef57329be7cc5c5fd741b4a0f659fea7ee6a54706b41ab"
PATCHES="${portVersionedName}.patchset"
ARCHITECTURES="x86_gcc2 x86 x86_64 arm ppc"
PROVIDES="
gzip = $portVersion
cmd:gunzip = $portVersion
cmd:gzexe = $portVersion
cmd:gzip = $portVersion
cmd:uncompress = $portVersion
cmd:zcat = $portVersion
cmd:zcmp = $portVersion
cmd:zdiff = $portVersion
cmd:zegrep = $portVersion
cmd:zfgrep = $portVersion
cmd:zforce = $portVersion
cmd:zgrep = $portVersion
cmd:zless = $portVersion
cmd:zmore = $portVersion
cmd:znew = $portVersion
"
REQUIRES="
haiku
"
BUILD_REQUIRES="
haiku_devel
"
BUILD_PREREQUIRES="
cmd:aclocal
cmd:autoconf
cmd:automake
cmd:awk
cmd:gcc
cmd:libtoolize
cmd:make
"
BUILD()
{
export CFLAGS="-Wno-error"
autoreconf -fi
runConfigure ./configure
make $jobArgs
}
INSTALL()
{
make install
rm $libDir/charset.alias
rmdir $libDir
}

View File

@@ -0,0 +1,122 @@
From d3377bee761bdb0abbd141fa86bf82af497f157e Mon Sep 17 00:00:00 2001
From: fbrosson <fbrosson@localhost>
Date: Tue, 26 Apr 2016 21:03:14 +0000
Subject: Do not try to create hard links.
diff --git a/Makefile.am b/Makefile.am
index d4ecc3f..9c0b0f7 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -146,7 +146,7 @@ install-exec-hook remove-installed-links:
rm -f "$$dest" && \
case $@ in \
install-exec-hook) \
- ln "$$source" "$$dest" || $(LN_S) "$$source" "$$dest";; \
+ $(LN_S) "$$source" "$$dest";; \
esac \
) || exit; \
done; \
--
2.19.1
From 7978312f3c2c056502d014b88b928032a6ba1124 Mon Sep 17 00:00:00 2001
From: Jerome Duval <jerome.duval@gmail.com>
Date: Tue, 2 Oct 2018 15:27:27 +0200
Subject: gcc2 patch
diff --git a/gzip.c b/gzip.c
index 9751c5e..631127d 100644
--- a/gzip.c
+++ b/gzip.c
@@ -292,7 +292,7 @@ static const struct option longopts[] =
/* local functions */
-local noreturn void try_help (void);
+local __attribute__ ((__noreturn__)) void try_help (void);
local void help (void);
local void license (void);
local void version (void);
@@ -312,7 +312,7 @@ local void copy_stat (struct stat *ifstat);
local void install_signal_handlers (void);
static void remove_output_file (bool);
static void abort_gzip_signal (int);
-local noreturn void do_exit (int exitcode);
+local __attribute__ ((__noreturn__)) void do_exit (int exitcode);
static void finish_out (void);
int main (int argc, char **argv);
static int (*work) (int infile, int outfile) = zip; /* function to call */
@@ -1175,6 +1175,7 @@ local char *get_suffix(name)
NULL, NULL};
char const **suf;
bool suffix_of_builtin = false;
+ char *z_lower, *match;
/* Normally put Z_SUFFIX at the start of KNOWN_SUFFIXES, but if it
is a suffix of one of them, put it at the end. */
@@ -1188,7 +1189,7 @@ local char *get_suffix(name)
}
}
- char *z_lower = xstrdup(z_suffix);
+ z_lower = xstrdup(z_suffix);
strlwr(z_lower);
known_suffixes[suffix_of_builtin
? sizeof known_suffixes / sizeof *known_suffixes - 2
@@ -1203,7 +1204,7 @@ local char *get_suffix(name)
}
strlwr(suffix);
slen = strlen(suffix);
- char *match = NULL;
+ match = NULL;
do {
int s = strlen(*suf);
if (slen > s && ! ISSLASH (suffix[slen - s - 1])
diff --git a/gzip.h b/gzip.h
index 329c9a5..83dc38a 100644
--- a/gzip.h
+++ b/gzip.h
@@ -272,7 +272,7 @@ extern int unpack (int in, int out);
extern int unlzh (int in, int out);
/* in gzip.c */
-extern noreturn void abort_gzip (void);
+extern __attribute__ ((__noreturn__)) void abort_gzip (void);
/* in deflate.c */
extern void lm_init (int pack_level, ush *flags);
@@ -305,11 +305,11 @@ extern char *gzip_base_name (char *fname) _GL_ATTRIBUTE_PURE;
extern int xunlink (char *fname);
extern void make_simple_name (char *name);
extern char *add_envopt (int *argcp, char ***argvp, char const *env);
-extern noreturn void gzip_error (char const *m);
-extern noreturn void xalloc_die (void);
+extern __attribute__ ((__noreturn__)) void gzip_error (char const *m);
+extern __attribute__ ((__noreturn__)) void xalloc_die (void);
extern void warning (char const *m);
-extern noreturn void read_error (void);
-extern noreturn void write_error (void);
+extern __attribute__ ((__noreturn__)) void read_error (void);
+extern __attribute__ ((__noreturn__)) void write_error (void);
extern void display_ratio (off_t num, off_t den, FILE *file);
extern void fprint_off (FILE *, off_t, int);
diff --git a/lib/stdnoreturn.in.h b/lib/stdnoreturn.in.h
index b1d709d..d26a612 100644
--- a/lib/stdnoreturn.in.h
+++ b/lib/stdnoreturn.in.h
@@ -17,7 +17,7 @@
/* Written by Paul Eggert. */
-#ifndef noreturn
+#if !defined(noreturn) && !defined(__HAIKU__)
/* ISO C11 <stdnoreturn.h> for platforms that lack it.
--
2.19.1

View File

@@ -1,25 +0,0 @@
From 39ee8c0d94879bde10822f2b95caedde3d6842fb Mon Sep 17 00:00:00 2001
From: Timothy Gu <timothygu99@gmail.com>
Date: Tue, 16 Dec 2014 21:50:24 +0000
Subject: [PATCH] gzexe: Fallback on file copying for backup
BFS doesn't support hard links.
Signed-off-by: Timothy Gu <timothygu99@gmail.com>
diff --git a/gzexe.in b/gzexe.in
index e458563..45e1900 100644
--- a/gzexe.in
+++ b/gzexe.in
@@ -212,7 +212,7 @@ EOF
echo >&2 "$0: $tmp: cannot chmod"
continue
}
- ln -f "$file" "$file~" || {
+ ln -f "$file" "$file~" || cp -f "$file" "${file}~" || {
res=$?
echo >&2 "$0: cannot backup $i as $i~"
continue
--
1.8.3.4

View File

@@ -1,48 +0,0 @@
From 39ee8c0d94879bde10822f2b95caedde3d6842fb Mon Sep 17 00:00:00 2001
From: Timothy Gu <timothygu99@gmail.com>
Date: Tue, 16 Dec 2014 21:50:24 +0000
Subject: [PATCH] gzexe: Fallback on file copying for backup
BFS doesn't support hard links.
Signed-off-by: Timothy Gu <timothygu99@gmail.com>
diff --git a/gzexe.in b/gzexe.in
index e458563..45e1900 100644
--- a/gzexe.in
+++ b/gzexe.in
@@ -212,7 +212,7 @@ EOF
echo >&2 "$0: $tmp: cannot chmod"
continue
}
- ln -f "$file" "$file~" || {
+ ln -f "$file" "$file~" || cp -f "$file" "${file}~" || {
res=$?
echo >&2 "$0: cannot backup $i as $i~"
continue
--
1.8.3.4
From 67f0045113c5be938d6912969f84ab2b541a9807 Mon Sep 17 00:00:00 2001
From: fbrosson <fbrosson@localhost>
Date: Tue, 26 Apr 2016 21:03:14 +0000
Subject: Do not try to create hard links.
diff --git a/Makefile.am b/Makefile.am
index 738c63c..665974f 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -145,7 +145,7 @@ install-exec-hook remove-installed-links:
rm -f "$$dest" && \
case $@ in \
install-exec-hook) \
- ln "$$source" "$$dest" || $(LN_S) "$$source" "$$dest";; \
+ $(LN_S) "$$source" "$$dest";; \
esac \
) || exit; \
done; \
--
2.7.0